Create a team routing rule
curl --request POST \
--url https://platform.thena.ai/v1/teams/{teamId}/routing \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"name": "<string>",
"resultTeamId": "<string>",
"description": "<string>",
"evaluationOrder": 123,
"andRules": [
"<string>"
],
"orRules": [
"<string>"
]
}
'import requests
url = "https://platform.thena.ai/v1/teams/{teamId}/routing"
payload = {
"name": "<string>",
"resultTeamId": "<string>",
"description": "<string>",
"evaluationOrder": 123,
"andRules": ["<string>"],
"orRules": ["<string>"]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
resultTeamId: '<string>',
description: '<string>',
evaluationOrder: 123,
andRules: ['<string>'],
orRules: ['<string>']
})
};
fetch('https://platform.thena.ai/v1/teams/{teamId}/routing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": true,
"message": "Success",
"timestamp": "2024-01-01T00:00:00.000Z",
"data": {
"id": "<string>",
"name": "<string>",
"teamId": "<string>",
"evaluationOrder": 123,
"resultTeamId": "<string>",
"fallbackTeamId": "<string>",
"andRules": [
"<string>"
],
"orRules": [
"<string>"
],
"createdBy": "<string>",
"createdAt": "<string>",
"createdById": "<string>",
"updatedAt": "<string>",
"description": "<string>"
}
}Teams
Create a team routing rule
POST
/
v1
/
teams
/
{teamId}
/
routing
Create a team routing rule
Authorizations
Enter your API key
Path Parameters
Body
application/json
The name of the routing rule group
The result team ID of the routing rule group
The description of the routing rule group
The evaluation order of the routing rule group
The rules of the routing rule group
The rules of the routing rule group
Response
Operation successful
The status of the response
The message of the response
The timestamp of the response
The response for create/update/delete team routing rule operations
Show child attributes
Show child attributes
⌘I